import { jsonp } from 'vue-jsonp';
import { useGlobSetting } from '/@/hooks/setting';

const globSetting = useGlobSetting();
export function getUserIpConfig() {
  return new Promise((resolve, reject) => {
    jsonp(`https://apis.map.qq.com/ws/location/v1/ip?key=${globSetting.mapKey}`, {
      output: 'jsonp',
    })
      .then((resp) => {
        resolve(resp);
      })
      .catch((err) => {
        console.log(err);
      });
  });
}
